List Products - Flex Documentation
List Products
cURL
curl --request GET \
--url https://api.withflex.com/v1/products \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.withflex.com/v1/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api.withflex.com/v1/products",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/products")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Possible Response Codes
- 200: Success
- 401: Unauthorized
- 403: Forbidden
- 404: Not Found
- 409: Conflict
- 422: Unprocessable Entity
- 429: Too Many Requests
Response Schema
{
"products": [
{
"product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"created_at": "2026-06-15T14:30:00Z",
"active": false,
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"url": "https://example.com",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
]
}
Error Schema
{
"code": "string",
"detail": "string"
}
Detailed Error Response
{
"detail": [
{
"loc": ["string"],
"msg": "string",
"type": "string"
}
]
}
Query Parameters
- limit (integer): A limit on the number of objects to be returned. Range:
x >= 1
- offset (integer): Number of objects to skip before returning results. Required range:
x >= 0
- starting_after (string): A cursor for pagination using product ID.
- ending_before (string): A cursor for pagination using product ID.
- active (boolean): Only return products where
active matches this value.
- client_reference_id (string): Filter products by their client-provided product identifier.
- metadata (object): Filter by metadata key-value pairs.